! XCP data reading sample program
    program xcp

    implicit none
    
    character,parameter::files='LOG00000best.dta'
    character*1:: tc,th
    integer::iyr,imon,idat,iho,imin        ! time index of the record
    real::sec,lat,lon                      ! longitude and latitude of the observation
!    real:: d_c(3),t_c(2)

    real:: prb_s,fh,fz,dec1,dec2,probe_a   ! measurement parametgers

    real::xcp_tim,xcp_dep,xcp_tem,xcp_v,xcp_u,xcp_frot,xcp_area,xcp_verr, &
        xcp_sn,xcp_tpwr,xcp_epwr,xcp_cpwr,xcp_tfreq,xcp_efreq,xcp_cfreq,xcp_edev, &
        xcp_cdev,xcp_ImCor,xcp_ReCor                             ! data at each depth record described below
 
    integer:: i
    
open(10,file=files)

   
   
read(10,*)
read(10,'(14x,i4,1x,i2,1x,i2)')iyr,imon,idat
read(10,'(14x,i2,1x,i2,1x,f6.3)')iho,imin,sec

read(10,*)

!probe and situation

read(10,'(16x,i8)' )prb_s
read(10,'(16x,f0.0)')lat
read(10,'(16x,f0.0)')lon

read(10,*)
read(10,'(16x,2f0.0)')fh,fz         !  geomagnetic parameters fh,fz
read(10,'(16x,3x,2f0.0)')dec1,dec2  !  declination parameters dec1,dec2
read(10,'(18x,a1)')tc              ! 'tilt correction indicator',tc
read(10,'(18x,a1)') th              ! 'true heading indicator',th
read(10,'(16x,f0.0)')probe_a        ! 'probe area', probe_a

do i = 0, 7 
    read(10,*)              ! probe parameters are written is these lines
enddo

read(10,*)        ! 'depth coef ',d_c
read(10,*)          ! 'temp correct', t_c

! log data lists are below
!     Time(sec)     Depth(meters)       Temp(c)  North(v)(cm/sec)   East(u)(cm/sec)
!      Frot(rotation rate)(Hz)      Area(mm^2)      Verr(velocity error estimate)(cm/sec)
!      Sample(sample number)(count)     T Pwr         E Pwr         C Pwr 
!      T Freq(temperature channel freq)(Hz)        E Freq(E field cyclic rate)(Hz)
!      C Freq(compass cyclic rate)(Hz)         
!      E Dev(peak E field deviation)(Hz)         C Dev(Peak compass deviation)(Hz)
!        Im Cor (phase angle; ephase with respect to C)(radians)
!        Re Cor (E to C correlation coefficient) (radians)

do i = 0, 2 
    read(10,*) 
enddo
    

do while (eof(10).ne.1) 
  read(10,*) xcp_tim,xcp_dep,xcp_tem,xcp_v,xcp_u,xcp_frot,xcp_area,xcp_verr, &
  xcp_sn,xcp_tpwr,xcp_epwr,xcp_cpwr,xcp_tfreq,xcp_efreq,xcp_cfreq,xcp_edev, &
  xcp_cdev,xcp_ImCor,xcp_ReCor 
!  777 format(f7.1,f10.1,f11.3,5f10.2,i14,3e14.0,f10.3,f14.4,f14.5,f14.2,f14.3,2f14.3)
enddo

end